@echo off
setlocal

echo.
echo ^> adpack -unpack -in testOut.zip -info -check -list
echo.
echo # -in testOut.zip : input zip file is "testOut.zip".
echo # -info           : show Index.xml infos.
echo # -check          : only Manifest.xml hash check (no extract files).
echo # -list           : show all file names.
echo.
echo ---(execute adpack)------------------
echo.

adpack -unpack -in testOut.zip -info -check -list
if errorlevel 1 (goto ERROR)

echo.
echo ---(end adpack)----------------------
echo.
echo # test_check.bat done.
@echo off
endlocal
exit /b 0

:ERROR
echo.
echo ---(error adpack)--------------------
echo.
echo # test_check.bat error exit.
@echo off
endlocal
exit /b 1

